﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace WpfDemo.Converters
{
    [ValueConversion(typeof(string), typeof(string))]
    public class StudentNameConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (targetType != typeof(string))
                throw new InvalidOperationException("The target must be a String");

            string name = value as string;
            if (string.IsNullOrEmpty(name))
            {
                return "New Student";
            }
            else
            {
                return name;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            string sourceName = (string)value;
            if (!string.IsNullOrEmpty(sourceName))
            {
                return sourceName;
            }
            else
            {
                return string.Empty;
            }
        }
    }
}
