﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace WpfDemo.XMLEntities
{
    [XmlRoot(ElementName = "class")]
    public class MyClass : ClassBase
    {
        private string _grade;
        [XmlAttribute(AttributeName = "grade", Namespace = "")]
        public string Grade
        {
            get
            {
                return _grade;
            }
            set
            {
                _grade = value;
                NotifyPropertyChange("Grade");
            }
        }

        private string _classID;
        [XmlAttribute(AttributeName = "class-id", Namespace = "")]
        public string ClassID
        {
            get
            {
                return _classID;
            }
            set
            {
                _classID = value;
                NotifyPropertyChange("ClassID");
            }
        }

        private ObservableCollection<MyTeacher> _teachers;
        [XmlElement(ElementName = "teachers", Namespace = "")]
        public ObservableCollection<MyTeacher> Teachers
        {
            get
            {
                return _teachers;
            }
            set
            {
                _teachers = value;
                NotifyPropertyChange("Teachers");
            }
        }

        private ObservableCollection<MyStudent> _students;
        [XmlElement(ElementName = "students", Namespace = "")]
        public ObservableCollection<MyStudent> Students
        {
            get
            {
                return _students;
            }
            set
            {
                _students = value;
                NotifyPropertyChange("Students");
            }
        }
    }
}
